<?
	error_reporting(E_ALL);
	include 'code/classement.lib.php';
	
	$quotas=array(
		'F'=>array(
			'CL'=>array('B'=>array(10,6), 'M'=>array(20,14), 'C'=>array(20,14), 'J'=>array(20,14), 'S'=>array(24,18), 'V'=>array(16,10), 'SV'=>array(16,10)),
			'CO'=>array('J'=>array(10,6), 'S'=>array(24,18), 'V'=>array(16,10), 'SV'=>array(16,10))
			),
		'H'=>array(
			'CL'=>array('B'=>array(20,14), 'M'=>array(30,20), 'C'=>array(32,24), 'J'=>array(32,24), 'S'=>array(40,34), 'V'=>array(24,18), 'SV'=>array(16,10)),
			'CO'=>array('J'=>array(20,14), 'S'=>array(40,34), 'V'=>array(24,18), 'SV'=>array(16,10))
			)
		);

	ChargerFichierCSV($souhaits, 'souhaits_jeunes.csv', array('prenom', 'nom', 'souhait'));
	ChargerClassementFFTA($classement, 'SALLE2005_231204.xls');
	ChargerClassementFFTA($miseajour, 'SALLE2005_130105.xls');
	
function FiltreChamp(&$classement, $champ, $valeur)
	{
	foreach($classement as $id=>$ligne)
		if($ligne[$champ]!=$valeur) unset($classement[$id]);
	}
	
function ClassementCSV($classement, $champs)
	{
	$result=implode(';', $champs)."\r\n";
	foreach($classement as $ligne) 
		{
		$aff=array();
		reset($champs);
		foreach($champs as $chp=>$valeur) $aff[]=$ligne[$chp];
		$result.=implode(';', $aff)."\r\n";
		}
	return $result;
	}

function Sauver($fichier, $valeur)
	{
	$f=fopen($fichier, 'w');
	fwrite($f, $valeur);
	fclose($f);
	}
	
	$clefsNom=array('prenom', 'nom');
	$clefsLicence=array('licence');

	FiltreCategories($classement, array('B', 'M', 'C', 'J'));
		
	//FiltreCategories($classement, array('S'));

/*
	VerifieUniciteClef($classement, $clefsLicence, $ligne) or die("clef (licence) non unique pour le classement (".$classement[$ligne]['licence'].")<br>");
	VerifieUniciteClef($souhaits, $clefsNom, $ligne) or die("clef (nom,prenom) non unique pour les souhaits (".$souhaits[$ligne]['nom'].")<br>");
	VerifieUniciteClef($classement, $clefsNom, $ligne) or die("clef (nom,prenom) non unique pour le classement (".$classement[$ligne]['licence'].")<br>");
	VerifieUniciteClef($miseajour, $clefsLicence, $ligne) or die("clef (licence) non unique pour le classement mis  jour (".$classement[$ligne]['licence'].")<br>");
*/
	reset($classement);
	foreach($classement as $id=>$ligne) 
		{
		if(in_array($ligne['cat'], array('C', 'M', 'B')) and $ligne['arme']=='CO') $classement[$id]['cat']='J';
		if($ligne['cat']=='SV') $classement[$id]['cat']='U';
		}
	
	ClassementTotal($classement, true);
	ClassementQuotaPreselection($classement, $quotas);
	
	Integration($classement, $souhaits, $clefsNom, array('souhait'=>0));
	Integration($classement, $miseajour, $clefsLicence, array('score1'=>0, 'score2'=>0, 'score3'=>0));
	ClassementTotal($classement, true);
	ClassementQuotaSelectionAvecSouhait($classement, $quotas);
	
	FiltreChamp($classement, 'preselection', 1);

	Sauver('infos_jeunes.csv', 
		ClassementCSV($classement, array('licence'=>'Licence', 'arme'=>'Arme', 'souhait'=>'Souhait', 'preselection'=>'Pre', 'selection'=>'Selection')));
	
	//soucis 625395C	SEMERDJIAN	VINCENT

	/*
	SauverHtml($classement, 'selectifJeunes_complet.html');
	FiltreChamps($classement, array('selection'=>1));
	SauverHtml($classement, 'selectifJeunes_selection.html');
	SauverCSV($classement, 'selectifJeunes_selection.csv');
	*/
?>
