<?
	error_reporting(E_ALL);
	include 'code/classement.lib.php';
	include 'quotas.php';
	
	global $quotas;
	
	$clef=array('licence', 'arme');
	
	ChargerClassementFFTA($classement, 'SALLE20050210.xls');
	//ChargerFichierCSV($jeunes, 'infos_jeunes.csv', array('licence', 'arme', 'souhait', 'preselection', 'selection'));
	ChargerFichierCSV($pre_adultes, 'preselection_adultes.csv', array('licence', 'arme', 'code', 'preselection'));
	ChargerFichierCSV($souhaits, 'souhaits_adultes.csv', array('licence', 'arme', 'souhait'));
	
	CorrectionCategories($classement);
	//VerifieUniciteClef($classement, $clef, $ligne) or die("clef (licence,arme) non unique pour le classement (".$classement[$ligne]['licence'].")<br>");
	//VerifieUniciteClef($souhaits, $clef, $ligne) or die("clef (licence,arme) non unique pour les souhaits (".$souhaits[$ligne]['licence'].")<br>");
	//VerifieUniciteClef($jeunes, $clef, $ligne) or die("clef (licence,arme) non unique pour les jeunes (".$jeunes[$ligne]['licence'].")<br>");
	//VerifieUniciteClef($pre_adultes, $clef, $ligne) or die("clef (licence,arme) non unique pour les adultes (".$pre_adultes[$ligne]['licence'].")<br>");
	//VerifieUniciteClef($pre_adultes, array('code'), $ligne) or die("clef (code) non unique pour les jeunes (".$pre_adultes[$ligne]['licence'].")<br>");

	//Integration($classement, $jeunes, $clef);
	Integration($classement, $pre_adultes, $clef);
	Integration($classement, $souhaits, $clef);

	ClassementTotal($classement, true);
	ClassementQuotaSelectionAvecSouhait($classement, $quotas);
	
	Sauver('SALLE2005.rat', ClassementCSV($classement, array(
		'france'=>'France', 'position'=>'N', 'licence'=>'Licence', 'nom'=>'Nom', 'prenom'=>'Prenom', 
		'cat'=>'Cat', 'genre'=>'Genre', 'arme'=>'Arme', 
		'agreement'=>'Agreement', 'club'=>'Club',
		'score1'=>'1', 'score2'=>'2', 'score3'=>'3', 'moyenne'=>'Moyenne', 
		'code'=>'Code', 'preselection'=>'Preselection', 'souhait'=>'Souhait', 'selection'=>'Selection'), '$'));
	Sauver('SALLE_Christian', ClassementCSV($classement, array(
		'position'=>'N', 'licence'=>'Licence', 'nom'=>'Nom', 'prenom'=>'Prenom', 
		'cat'=>'Cat', 'genre'=>'Genre', 'arme'=>'Arme', 
		'agreement'=>'Agreement', 'club'=>'Club',
		'score1'=>'1', 'score2'=>'2', 'score3'=>'3', 'moyenne'=>'Moyenne', 
		'preselection'=>'Preselection', 'souhait'=>'Souhait', 'selection'=>'Selection',
		'adresse'=>'Adresse', 'complement'=>'Comp', 'cp'=>'CP', 'ville'=>'Ville'), '$'));
	/*Sauver('salle20050201.html', ClassementHTML($classement, array(
		'souhait'=>'Souhait', 'position'=>'N', 'france'=>'France', 'prenom+nom'=>'Archer',  
		'club'=>'Club',
		'score1'=>'1', 'score2'=>'2', 'score3'=>'3', 'moyenne'=>'Moy')));*/
?>
