<?
	
class TestClassement_Chargements extends CClassement_Abstrait 
	{
  function TestClassement_Chargements() 
		{
    $this->CClassement_Abstrait();
    }
		
	function SetUp()
		{
		$this->classement=array();
		}

	function VerifieClassement($index, $france, $position, $licence, $prenom, $moyenne, $cat, $genre, $arme, $club='', $agreement='', $adresse='', $complement='', $cp='', $ville='')
		{
		$tab=array('france', 'position', 'licence', 'prenom', 'moyenne', 'cat', 'genre', 'arme', 'club', 'agreement', 'adresse', 'complement', 'cp', 'ville');
		foreach($tab as $champ)
			$this->AssertEqual($$champ, $this->classement[$index][$champ]);
		}

	function VerifieClassement2($index, $prenom, $nom, $souhait)
		{
		$tab=array('prenom', 'nom', 'souhait');
		foreach($tab as $champ)
			$this->AssertEqual($$champ, $this->classement[$index][$champ]);
		}
		
	function TestClassementFFTA()
		{
		ChargerClassementFFTA($this->classement, 'tests.xls');
		$ct=0;
		$this->VerifieClassement($ct++, 1, 1, '000000A', 'YOKO', 599, 'S', 'F', 'CL', 'Archers de Tokyo');
		$this->VerifieClassement($ct++, 1, 1, '235942J', 'CEDRIC', 600, 'S', 'H', 'CL', 'Archers du Donjon', '1240098', '764 rue Stephenson', 'Ma Maison', '40280', 'St Pierre du Mont');
		$this->VerifieClassement($ct++, 100, 2, '000000B', 'GASTON', 500, 'S', 'H', 'CL', 'Archers de Paris');
		$this->VerifieClassement($ct++, 200, 3, '000000C', 'BERTRAND', 400, 'S', 'H', 'CL', 'Archers de Paris');
		}

	function TestFichierCSV()
		{
		ChargerFichierCSV($this->classement, 'tests.csv', array('prenom', 'nom', 'souhait'));
		$ct=0;
		$this->VerifieClassement2($ct++, 'CEDRIC', 'GIRARD', 1);
		$this->VerifieClassement2($ct++, 'YOKO', 'TSUNO', 1);
		$this->VerifieClassement2($ct++, 'GASTON', 'LAGAFFE', 2);
		$this->VerifieClassement2($ct++, 'BERTRAND', 'LABEVUE', 0);
		}
	}
	
?>